## knots2 0.1

=== debian/changelog ===
knots2 (0.1) unstable; urgency=low

  * Initial Release.

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Fri, 31 Jul 2009 18:13:33 +0100

## knots2 0.1.1

=== Makefile ===
CFLAGS ?= -Wall -O2 -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s

VALA := knots.vala knotsitem.vala knotscommon.vala knotsplayer.vala knotsbrowser.vala knotsscroller.vala knotsxmlist.vala knotsinfo.vala knotsdiscovery.vala knotsplaylist.vala knotspage.vala knotssettings.vala 

all: main discover rotate

main: $(VALA) clean
	valac --vapidir vapis -b . --pkg libosso --pkg gtk+-2.0 --pkg gconf-2.0 --pkg libsoup-2.2 --pkg libxml-2.0 --pkg hildon-1 --pkg gdk-2.0 --pkg gdk-keysyms --pkg gio-2.0 --pkg gdk-x11-2.0 --pkg conic --pkg dbus-glib-1 --thread -o knots $(VALA) -X "$(CFLAGS)"

discover: c/discover.c
	$(CC) $(CFLAGS) -o c/$@ c/$@.c

rotate: c/rotate.c
	$(CC) $(CFLAGS) -lX11 -lXrandr -o c/$@ c/$@.c

clean:
	rm -f c/discover
	rm -f c/rotate
	rm -f knots
	rm -f *.c

diet: 
	strip c/rotate
	strip c/discover
	strip ./knots

install: 
	install -D -m755 knots $(DESTDIR)/usr/bin/knots2
	install -D -m755 c/discover $(DESTDIR)/usr/share/knots/discover
	install -D -m755 c/rotate $(DESTDIR)/usr/share/knots/rotate
	install -D -m644 resources/knots2.desktop $(DESTDIR)/usr/share/applications/hildon/knots2.desktop
	install -D -m644 resources/knots2.service $(DESTDIR)/usr/share/dbus-1/services/knots2.service
	install -D -m644 resources/knots2.png $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/knots2.png
	install -m644 resources/knots/* $(DESTDIR)/usr/share/knots/

.PHONY: clean

=== debian/changelog ===
knots2 (0.1.1) unstable; urgency=low

  * Fixed player confusion when switched to a different server during playback

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sat,  1 Aug 2009 16:33:23 +0300

## knots2 0.1.2

=== debian/changelog ===
knots2 (0.1.2) unstable; urgency=low

  * Fixed version number, esc killing the client instantly and made some usability fixes

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sun,  2 Aug 2009 00:34:43 +0300

## knots2 0.2

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,13 @@
 
 VALA := knots.vala knotsitem.vala knotscommon.vala knotsplayer.vala knotsbrowser.vala knotsscroller.vala knotsxmlist.vala knotsinfo.vala knotsdiscovery.vala knotsplaylist.vala knotspage.vala knotssettings.vala 
 
+VERSION := $(shell dpkg-parsechangelog | sed -n 's/Version: //p')
+
 all: main discover rotate
 
 main: $(VALA) clean
-	valac --vapidir vapis -b . --pkg libosso --pkg gtk+-2.0 --pkg gconf-2.0 --pkg libsoup-2.2 --pkg libxml-2.0 --pkg hildon-1 --pkg gdk-2.0 --pkg gdk-keysyms --pkg gio-2.0 --pkg gdk-x11-2.0 --pkg conic --pkg dbus-glib-1 --thread -o knots $(VALA) -X "$(CFLAGS)"
+	@echo "#define VERSION \"$(VERSION)\"" > version.h
+	valac --vapidir vapis -b . --pkg version --pkg libosso --pkg gtk+-2.0 --pkg gconf-2.0 --pkg libsoup-2.2 --pkg libxml-2.0 --pkg hildon-1 --pkg gdk-2.0 --pkg gdk-keysyms --pkg gio-2.0 --pkg gdk-x11-2.0 --pkg conic --pkg dbus-glib-1 --thread -o knots $(VALA) -X -I. -X "$(CFLAGS)"
 
 discover: c/discover.c
 	$(CC) $(CFLAGS) -o c/$@ c/$@.c
@@ -18,11 +21,15 @@
 	rm -f c/rotate
 	rm -f knots
 	rm -f *.c
+	rm -f version.h
 
 diet: 
 	strip c/rotate
 	strip c/discover
 	strip ./knots
+
+transfer:
+	scp knots root@192.168.0.101:/usr/bin/knots2
 
 install: 
 	install -D -m755 knots $(DESTDIR)/usr/bin/knots2

=== debian/changelog ===
knots2 (0.2) unstable; urgency=low

  * Lots of bugfixes, new kinetic scroller borrowed from webkit-eal, ability to switch transcoding profile, visual playlist for music, album art in task switcher, play artist option

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sun, 23 Aug 2009 23:06:49 +0300

## knots2 0.2.3

=== debian/changelog ===
knots2 (0.2.3) unstable; urgency=low

  * Usability and bug fixes
  * New icons
  * Image loading progress
  * Caches more content, manual clearing of caches
  * Temporary debug messages added

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Tue, 27 Oct 2009 15:32:53 +0000

## knots2 0.2.4

=== debian/changelog ===
knots2 (0.2.4) unstable; urgency=low

  * Fixed wrong icons

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Thu, 29 Oct 2009 21:05:45 +0000

## knots2 0.2.5

=== debian/changelog ===
knots2 (0.2.5) unstable; urgency=low

  * Fixed file permission issue

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sun,  1 Nov 2009 17:25:01 +0000

## knots2 0.2.6

=== debian/changelog ===
knots2 (0.2.6) unstable; urgency=low

  * Fixed toolbar on server selection
  * Clear cache on server selection
  * Removed caching of virtual categories
  * Added random sort order

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Mon,  2 Nov 2009 20:33:15 +0000

=== debian/control ===
Source: knots2
Section: user/multimedia
Priority: extra
Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
Build-Depends: debhelper (>= 5),x11proto-randr-dev,libxdmcp-dev,libgconf2-dev,x11proto-core-dev,libhildon1-dev,libconic0-dev,libgtk2.0-dev,libdbus-1-dev,libglib2.0-dev,libx11-dev,vala,libosso-dev,libxml2-dev,libsoup2.2-dev,libxrandr-dev,libxrender-dev,libxrandr2,libpng12-dev,x11proto-render-dev
Standards-Version: 3.7.2

Package: knots2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer
Description: A Video Player for Maemo
 Knots requires additional software for your desktop.
 Please see http://nakkiboso.com/knots2 for instructions.
 Supported operating systems:
 - Windows XP/Vista/7
 - OS X 10.5 Leopard
 - Linux
 - FreeBSD
XB-Maemo-Display-Name: Knots 2
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAKQ2lDQ1BJQ0Mg
 cHJvZmlsZQAAeNqdU3dYk/cWPt/3ZQ9WQtjwsZdsgQAiI6wIyBBZohCSAGGE
 EBJAxYWIClYUFRGcSFXEgtUKSJ2I4qAouGdBiohai1VcOO4f3Ke1fXrv7e37
 1/u855zn/M55zw+AERImkeaiagA5UoU8Otgfj09IxMm9gAIVSOAEIBDmy8Jn
 BcUAAPADeXh+dLA//AGvbwACAHDVLiQSx+H/g7pQJlcAIJEA4CIS5wsBkFIA
 yC5UyBQAyBgAsFOzZAoAlAAAbHl8QiIAqg0A7PRJPgUA2KmT3BcA2KIcqQgA
 jQEAmShHJAJAuwBgVYFSLALAwgCgrEAiLgTArgGAWbYyRwKAvQUAdo5YkA9A
 YACAmUIszAAgOAIAQx4TzQMgTAOgMNK/4KlfcIW4SAEAwMuVzZdL0jMUuJXQ
 Gnfy8ODiIeLCbLFCYRcpEGYJ5CKcl5sjE0jnA0zODAAAGvnRwf44P5Dn5uTh
 5mbnbO/0xaL+a/BvIj4h8d/+vIwCBAAQTs/v2l/l5dYDcMcBsHW/a6lbANpW
 AGjf+V0z2wmgWgrQevmLeTj8QB6eoVDIPB0cCgsL7SViob0w44s+/zPhb+CL
 fvb8QB7+23rwAHGaQJmtwKOD/XFhbnauUo7nywRCMW735yP+x4V//Y4p0eI0
 sVwsFYrxWIm4UCJNx3m5UpFEIcmV4hLpfzLxH5b9CZN3DQCshk/ATrYHtcts
 wH7uAQKLDljSdgBAfvMtjBoLkQAQZzQyefcAAJO/+Y9AKwEAzZek4wAAvOgY
 XKiUF0zGCAAARKCBKrBBBwzBFKzADpzBHbzAFwJhBkRADCTAPBBCBuSAHAqh
 GJZBGVTAOtgEtbADGqARmuEQtMExOA3n4BJcgetwFwZgGJ7CGLyGCQRByAgT
 YSE6iBFijtgizggXmY4EImFINJKApCDpiBRRIsXIcqQCqUJqkV1II/ItchQ5
 jVxA+pDbyCAyivyKvEcxlIGyUQPUAnVAuagfGorGoHPRdDQPXYCWomvRGrQe
 PYC2oqfRS+h1dAB9io5jgNExDmaM2WFcjIdFYIlYGibHFmPlWDVWjzVjHVg3
 dhUbwJ5h7wgkAouAE+wIXoQQwmyCkJBHWExYQ6gl7CO0EroIVwmDhDHCJyKT
 qE+0JXoS+cR4YjqxkFhGrCbuIR4hniVeJw4TX5NIJA7JkuROCiElkDJJC0lr
 SNtILaRTpD7SEGmcTCbrkG3J3uQIsoCsIJeRt5APkE+S+8nD5LcUOsWI4kwJ
 oiRSpJQSSjVlP+UEpZ8yQpmgqlHNqZ7UCKqIOp9aSW2gdlAvU4epEzR1miXN
 mxZDy6Qto9XQmmlnafdoL+l0ugndgx5Fl9CX0mvoB+nn6YP0dwwNhg2Dx0hi
 KBlrGXsZpxi3GS+ZTKYF05eZyFQw1zIbmWeYD5hvVVgq9ip8FZHKEpU6lVaV
 fpXnqlRVc1U/1XmqC1SrVQ+rXlZ9pkZVs1DjqQnUFqvVqR1Vu6k2rs5Sd1KP
 UM9RX6O+X/2C+mMNsoaFRqCGSKNUY7fGGY0hFsYyZfFYQtZyVgPrLGuYTWJb
 svnsTHYF+xt2L3tMU0NzqmasZpFmneZxzQEOxrHg8DnZnErOIc4NznstAy0/
 LbHWaq1mrX6tN9p62r7aYu1y7Rbt69rvdXCdQJ0snfU6bTr3dQm6NrpRuoW6
 23XP6j7TY+t56Qn1yvUO6d3RR/Vt9KP1F+rv1u/RHzcwNAg2kBlsMThj8MyQ
 Y+hrmGm40fCE4agRy2i6kcRoo9FJoye4Ju6HZ+M1eBc+ZqxvHGKsNN5l3Gs8
 YWJpMtukxKTF5L4pzZRrmma60bTTdMzMyCzcrNisyeyOOdWca55hvtm82/yN
 haVFnMVKizaLx5balnzLBZZNlvesmFY+VnlW9VbXrEnWXOss623WV2xQG1eb
 DJs6m8u2qK2brcR2m23fFOIUjynSKfVTbtox7PzsCuya7AbtOfZh9iX2bfbP
 HcwcEh3WO3Q7fHJ0dcx2bHC866ThNMOpxKnD6VdnG2ehc53zNRemS5DLEpd2
 lxdTbaeKp26fesuV5RruutK10/Wjm7ub3K3ZbdTdzD3Ffav7TS6bG8ldwz3v
 QfTw91jicczjnaebp8LzkOcvXnZeWV77vR5Ps5wmntYwbcjbxFvgvct7YDo+
 PWX6zukDPsY+Ap96n4e+pr4i3z2+I37Wfpl+B/ye+zv6y/2P+L/hefIW8U4F
 YAHBAeUBvYEagbMDawMfBJkEpQc1BY0FuwYvDD4VQgwJDVkfcpNvwBfyG/lj
 M9xnLJrRFcoInRVaG/owzCZMHtYRjobPCN8Qfm+m+UzpzLYIiOBHbIi4H2kZ
 mRf5fRQpKjKqLupRtFN0cXT3LNas5Fn7Z72O8Y+pjLk722q2cnZnrGpsUmxj
 7Ju4gLiquIF4h/hF8ZcSdBMkCe2J5MTYxD2J43MC52yaM5zkmlSWdGOu5dyi
 uRfm6c7Lnnc8WTVZkHw4hZgSl7I/5YMgQlAvGE/lp25NHRPyhJuFT0W+oo2i
 UbG3uEo8kuadVpX2ON07fUP6aIZPRnXGMwlPUit5kRmSuSPzTVZE1t6sz9lx
 2S05lJyUnKNSDWmWtCvXMLcot09mKyuTDeR55m3KG5OHyvfkI/lz89sVbIVM
 0aO0Uq5QDhZML6greFsYW3i4SL1IWtQz32b+6vkjC4IWfL2QsFC4sLPYuHhZ
 8eAiv0W7FiOLUxd3LjFdUrpkeGnw0n3LaMuylv1Q4lhSVfJqedzyjlKD0qWl
 QyuCVzSVqZTJy26u9Fq5YxVhlWRV72qX1VtWfyoXlV+scKyorviwRrjm4ldO
 X9V89Xlt2treSrfK7etI66Trbqz3Wb+vSr1qQdXQhvANrRvxjeUbX21K3nSh
 emr1js20zcrNAzVhNe1bzLas2/KhNqP2ep1/XctW/a2rt77ZJtrWv913e/MO
 gx0VO97vlOy8tSt4V2u9RX31btLugt2PGmIbur/mft24R3dPxZ6Pe6V7B/ZF
 7+tqdG9s3K+/v7IJbVI2jR5IOnDlm4Bv2pvtmne1cFoqDsJB5cEn36Z8e+NQ
 6KHOw9zDzd+Zf7f1COtIeSvSOr91rC2jbaA9ob3v6IyjnR1eHUe+t/9+7zHj
 Y3XHNY9XnqCdKD3x+eSCk+OnZKeenU4/PdSZ3Hn3TPyZa11RXb1nQ8+ePxd0
 7ky3X/fJ897nj13wvHD0Ivdi2yW3S609rj1HfnD94UivW2/rZffL7Vc8rnT0
 Tes70e/Tf/pqwNVz1/jXLl2feb3vxuwbt24m3Ry4Jbr1+Hb27Rd3Cu5M3F16
 j3iv/L7a/eoH+g/qf7T+sWXAbeD4YMBgz8NZD+8OCYee/pT/04fh0kfMR9Uj
 RiONj50fHxsNGr3yZM6T4aeypxPPyn5W/3nrc6vn3/3i+0vPWPzY8Av5i8+/
 rnmp83Lvq6mvOscjxx+8znk98ab8rc7bfe+477rfx70fmSj8QP5Q89H6Y8en
 0E/3Pud8/vwv94Tz+4A5JREAAAAGYktHRAD/AP8A/6C9p5MAAAAJcEhZcwAA
 G68AABuvAV4akRwAAAAHdElNRQfZARILOxuEF5jWAAAGiUlEQVRIx+1WW2xU
 1xVd59x7586dO2PPHY/toeMBArJdbJyUR0wCpXXSKAkFFzWJooDUkqSQRCFF
 SVWBSMRDCAoJ6UNVpQgBiUkU+kg+CORZNRZRi4NBIeACwTG26+eMx49535n7
 3P1oLbkSVWkr9avr82jttffaH2dt4H8EdrPE97auYV+MDAsF06I5WtAtmiU2
 ZZikBivp2Vfa/7tGRIRjT67g1+NxYe+pfutGnKdaKlnrsmWsTJIoUreIar+/
 8+Ymf3drKwDgN5u/iQ13hdmMpuzYxuZFr21sbrj49K2e67tXB40jT/tm1q5f
 KrPOPY8AANqeWvnPHbXvfxR3b2/DmZcex4qtrwIAjq5vmKdL3iYtWNF8bWR0
 XaZYKjRFo+2J9FQomc9aqs9/8sC2bR3s9g3JaZ3DG5dj05EOfLB9LVbtf+fG
 qzv9kw2s5flj9HcX4aOb73r18l8GWmuiMXQNjiKdL+D+hvk41z+AbMnG1+fF
 cgFZ+NNwOtsXVtXf/rDt3B9n6n3x4qNYsK0NwvRDsfs0VoZ03LPzOADg5XUL
 105dOXMgmcvfd6F/iCs+P7K6DsMwYdoWBqZy8MsyVI8od43Ea0ezheZcyVjV
 uiR26fSVZN+07rfrAzh+fvBvjoiy+OTIfrRs2g8AyJ44uKbt/XfeTmQLsleS
 ca6n141q5dy0LaR1HaZDcF2GgCwgXTShCAKiWgDhMhXzw6FLt82ZcygSCrdH
 Nv2sGwAu7X2ECQDQGnXY8ideBAB0v7GzJZWZOtiXnIheHR6DIgiU1wucyEG5
 Ig8qPt97QVU94xHYh3nT/EOZJHr9HimWMR3kLRcjmULk6mhi9WhiZOVz32ro
 euNs/xAbvcxEAFj6xEsEAH9+7YWHP+/u/iU39epSPguvIBBci6kyA0RpsKK8
 /Jldb144Nb2WD7asCPYW7Dm6w+68lpjAWDqHouVA9XpQMvTbGNnP0u/3XWT3
 vqCL00Vdh37c2Nvf89Oe4ZFqFS7IsUkikwnEEQr4TwbKtH27Xj9/DgDe/MGS
 hUNFZ02/Jd8vK/LCfDpFi2uqWKixHoZlkUVg45kMyDFaPv3w49kAromdv9rS
 7OSzi0bHEusmc7ma+OQkYn6VBOYwCTZSeglZmypgJJpeeazZzpnW2q5k+rGA
 GohZRgmXx8Yxt7ICdbHZNJlJY3R8jFkEKLICv1ZZ6VTVPE5Ez7Ojz9wzOEvT
 qobjI7LBRRpO5aBaRVYTkKg3V8TlZI6N5w00zdKsVY2149mSGTnfN8Cr/D70
 T2XsnMPZg4sX8Il0inUNJwEuUE1VGFVakFWVlcHrWkVDz78tkuvGLvT0Ip8e
 R3U4jGrFg2wxA01WkRjJ4spoluojFWxpXZ0kScJXpuKj4K5FulFC3rBFVfEi
 mYyjb2wCfp+GpfNmwzYL0LOT1DcRZ3qpqGQM53vsFxtup4v9IzTLLyGoepG3
 iOmGCRDQ3jdJtSE/W900FyXHxWAqjXjBABNlxLRyKE4Jg6kUKmURkuDB1UwJ
 lYqHZOYwuBY445SzQYYLLuYyKac2qJAqSzDJ5ZZjMgeEsYKB6jIPm1ehoG8s
 iQndJEXx0S1VEcTCGpMckw3EM8gYJkwIqAn5oBRNJPN5lrMIskj0taogRWSF
 Wy5B/KpfFvyyjKztYrxkgMseW/AyHpZFNqybLFEyaChdpIaKAIv6GLdKU0jF
 05QzHWeyZDJVVpjX62OGZcLPHQTLFOrPligggEdliWmKqE8ZVkKcq1V8bnNh
 RLQMkkB3ZwxLtciFxRkUiTs2XKGxQmWzy7zwCqKuSNyWyC3jtiu4ogQuSWCc
 3HxJZ7LAYboO5gck3lDuR70W7FQC5YeiLn0peusXr1+4+ec9ANzPtnzjyVRR
 /864ac3nolCnSqIgCiJCXnkyIAqnNK/vY38wRGOZ1B3pQv7Wahf1lm1V27bJ
 de5BwSFInKPaK7tRv/pWJBTefcueE9du+Ht3Hd3h/azjo0Y/w3f9DHWaVx7Q
 yrVP6veefHcmb/zwj2b19H65KJ/LLLEts8lx3ZhNriCCXa9UlPeXtT7wFrvv
 OeOmQpCIbirqaeBTeXDf+rqhPQ8tICI+M6ELZ0/8I/n68QP/UrBz+xp07nro
 3z5MKJeACADk2mBchGMWQbYJ0VeOszseBHEOEkUs3/FrdOx8AK6/AnduPQwA
 OLv7Ydyx+3foeHkTeHoCMIogxwYJApYf/AgAYPZdgKioYIEI/o//GH8FRh4n
 MxH6jFsAAAAASUVORK5CYII=

## knots2 0.2.6-2

=== Makefile ===
 VALA := knots.vala knotsitem.vala knotscommon.vala knotsplayer.vala knotsbrowser.vala knotsscroller.vala knotsxmlist.vala knotsinfo.vala knotsdiscovery.vala knotsplaylist.vala knotspage.vala knotssettings.vala knotsprogress.vala 

#VERSION := $(shell dpkg-parsechangelog | sed -n 's/Version: //p')
VERSION := 0.2.6
all: main discover

main: $(VALA) clean
	@echo "#define VERSION \"$(VERSION)\"" > version.h
	valac --vapidir vapis -b . --pkg version --pkg libosso --pkg gconf-2.0 --pkg gtk+-2.0 --pkg libsoup-2.4 --pkg libxml-2.0 --pkg hildon-1 --pkg gdk-2.0 --pkg gdk-keysyms --pkg gio-2.0 --pkg gdk-x11-2.0 --pkg conic --pkg dbus-glib-1 --thread -o knots $(VALA)

discover: c/discover.c
	$(CC) $(CFLAGS) -o c/$@ c/$@.c

clean:
	rm -f c/discover
	rm -f knots
	rm -f *.c
	rm -f version.h

diet: 
	strip c/discover
	strip ./knots

transfer:
	scp knots root@192.168.0.109:/usr/bin/knots2

install: 
	install -D -m755 knots $(DESTDIR)/usr/bin/knots2
	install -D -m755 c/discover $(DESTDIR)/usr/share/knots/discover
	install -D -m644 resources/knots2.desktop $(DESTDIR)/usr/share/applications/hildon/knots2.desktop
	install -D -m644 resources/knots2.service $(DESTDIR)/usr/share/dbus-1/services/knots2.service
	install -D -m644 resources/knots2.png $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/knots2.png
	install -m644 resources/knots/* $(DESTDIR)/usr/share/knots/

.PHONY: clean

=== debian/changelog ===
knots2 (0.2.6-2) unstable; urgency=low

  * Remove external rotation

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sun, 29 Nov 2009 21:16:10 +0000

knots2 (0.2.6-1) unstable; urgency=low

  * Remove gst dependency

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sun, 29 Nov 2009 20:18:46 +0000

## knots2 0.2.6-3

=== Makefile ===
VALA := knots.vala knotsitem.vala knotscommon.vala knotsplayer.vala knotsbrowser.vala knotsscroller.vala knotsxmlist.vala knotsinfo.vala knotsdiscovery.vala knotsplaylist.vala knotspage.vala knotssettings.vala knotsprogress.vala 

VERSION := $(shell dpkg-parsechangelog | sed -n 's/Version: //p')

all: main discover

main: $(VALA) clean
	@echo "#define VERSION \"$(VERSION)\"" > version.h
	valac --vapidir vapis -b . --pkg version --pkg libosso --pkg gtk+-2.0 --pkg gconf-2.0 --pkg libsoup-2.4 --pkg libxml-2.0 --pkg hildon-1 --pkg gdk-2.0 --pkg gdk-keysyms --pkg gio-2.0 --pkg gdk-x11-2.0 --pkg conic --pkg dbus-glib-1 --thread -o knots $(VALA) -X -I. -X -Wall -X -g -X -O2

discover: c/discover.c
	$(CC) $(CFLAGS) -o c/$@ c/$@.c

clean:
	rm -f c/discover
	rm -f knots
	rm -f *.c
	rm -f version.h

diet: 
	strip c/discover
	strip ./knots

install: 
	install -D -m755 knots $(DESTDIR)/usr/bin/knots2
	install -D -m755 c/discover $(DESTDIR)/usr/share/knots/discover
	install -D -m644 resources/knots2.desktop $(DESTDIR)/usr/share/applications/hildon/knots2.desktop
	install -D -m644 resources/knots2.service $(DESTDIR)/usr/share/dbus-1/services/knots2.service
	install -D -m644 resources/knots2.png $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/knots2.png
	install -m644 resources/knots/* $(DESTDIR)/usr/share/knots/

.PHONY: clean

=== debian/changelog ===
knots2 (0.2.6-3) unstable; urgency=low

  * Few usability fixes

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Mon, 30 Nov 2009 12:52:51 +0000

=== debian/control ===
Source: knots2
Section: user/multimedia
Priority: extra
Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
Build-Depends: debhelper (>= 5),libgconf2-dev,libhildon1-dev,libconic0-dev,libgtk2.0-dev,libdbus-1-dev,libglib2.0-dev,libx11-dev,vala,libosso-dev,libxml2-dev,libsoup2.4-dev,libpng12-dev
Standards-Version: 3.7.2

Package: knots2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer
Description: A Video Player for Maemo
 Knots requires additional software for your desktop.
 Please see http://nakkiboso.com/knots2 for instructions.
 Supported operating systems:
 - Windows XP/Vista/7
 - OS X 10.5 Leopard or newer
 - Linux
 - FreeBSD
XB-Maemo-Display-Name: Knots 2
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9kLHRMlEils5ZIAAAVP
 SURBVEjHdVVLbBvHGf72MbvLfXH5WC5NiqRkPRg0zsFWavRhFSmKFuihOeTQ
 Qw52bj3ER/vmgw2k8MkXGzAM35K0bnoq2qJA0zRuDcSAhQhtBMRRQtCWRUWS
 RYqS+NoHd3emBzKKosrfYfDtPzPf/v8/g28EfIPJyUlKaRAE5XIZQBAEhUKB
 EOJ5npMvZJOyELtmpqAmFNd1HcfRdX0wGORyOcMw+v0+juDRo0fnz58HcP/+
 /QsXLgC4d+/epUuXANz7wwe/fecqgPfee//69esAbt++fevWLQA3bty4e/fu
 gYh4wGq12t7eHoB6vd5utwGsra21Wi0A6421xvpzAI3GWrPZBLCxsRFF0Yjo
 uo7/h23biiwBSJrjacs0NDUBIJ1OG4YBQFESIiEAZFmWJBmArCiWZeFFECQV
 QNLQU6YxjohkRGRZlhVZVRO2nREFQZLEdMqSCDm8XTz8kZk8xenFhXPfX3j1
 1Pbe4IM/fdjZfhb3tvqtdcZQrc786uevSURwvUDS9IxlrjaerW80//yXv8dx
 PP73YblkZf7cT3/2m7d+3STlbPWVn8yfNhJkcXFRjD1KaaVUKDjZRrOz096f
 fXnu9JlXd3Y7jx+vPFttHCjwh+VY6E3NnvSyc4/b/HqHnZp/eWp2FgHlQAH0
 ui7P0Uo5ZRftVqv9pPEkm3OSVpZx7Phih7urzZVPPvS85brLaLS57MhRl6Ry
 2N0Fglw+Uy7abt/N27alqsH28x13aOdzoiCOTvlodkQzP/rbXz/5451qKvjB
 K5WtbU+dOvvDX74eDgMAdkpXBUHbbE9397nWlrJRo9lSj5g0jo7Pzjp5Vs1O
 VU7OkkLRKBXf/JGeLWZ3VrKj2d31pr+6VS3qceQ+3OuXXyqbJ/PS1xvskAJ3
 WK44d5ozJxjYiVzS0ki3P2Cc4D5/+sV/P2WMOZnMRDZTnsgwho2Ox1QjoZHW
 8+36518dFPsd8IAAiEdaAIDjxiPHAwJ4USSE48areIE/PjtFtRiNJUXnBYVG
 kcBxAIZBz/X2ABBZYuAZY+DAcZwpC7IodL1w4HrH9+6lH7/FEy2ZLZmZ6V6r
 TRkNPWyv/qP+2btgbKZUPFMt0zAkEtlsd5MJfqqQ/Gj56+XP62D0GLnT07ad
 nmCUyXrXk0MxHMZK9j8D6QnAgCCMfD8QKJN5JEVhP6C9mDAAeMG9q/z7d5Wp
 7z3JZFvbTyvV6QLvyWsdrH/5LwYAEuF7XsAY3RnQpK7F3vCzrzZ6gyEv8DSK
 j5E7offzUv2fX65s7XbqzUaad38hMlMCAwPw2pmJt9842+4M+/2hwPNL9ebv
 P34chCHPcfTY7IhpTOvimyf8FYWs7ezbMsmljNX9QOS5iLKPP218sdoNwziM
 qB+G5Yx+bir16Gm0Gb+g2KX1bhyEQoJzFPFESR+Gcc8fbu66lAHAbs8bhBxj
 TJZFkedd3++KsT8MOe7b5n3nothJM500NE3z/UAURUpj3/O7nr/T6VJKdUMn
 hOiarmoqIdLOfqe919EI7/b7wzA83j65sR1yJJEYR4SxiQnfEEVRxoYqkRf6
 sG3bo3WWZcmyDMA0TVVVAaRSqZG5W5alaRoAXddHEcMwDpv7t/Z5584d3/dr
 tdrNmzejKKrValevXnUcZ3l5+dq1a6VSaWlp6cqVK9VqdXFx8fLly/Pz8w8f
 Prx48eLCwsKDBw+OHsXc3FwqlQIwMzOTyWQAVCqV0ZNWqVQ8zxuRUcnFYnFk
 6MVicZTmUUxOTpqmCaBcLieTSQCFQiGdTgNw8oVyIZtKwMkXbNsG4DiO4zgA
 crlcPp8/EPkfF2k7wpwkE6cAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Use hardware floating point - #'DEB_BUILD_OPTIONS="vfp" dpkg-buildpackage -rfakeroot' to build with VFP
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s
endif

build: build-stamp

build-stamp: 
	dh_testdir

	$(MAKE) CFLAGS="$(CFLAGS)"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/knots2.
	$(MAKE) DESTDIR=$(CURDIR)/debian/knots2 install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## knots2 0.2.6-5

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+CFLAGS ?= -Wall -g -O2 -Wall -ansi -Wmissing-prototypes -Wmissing-declarations
+
 VALA := knots.vala knotsitem.vala knotscommon.vala knotsplayer.vala knotsbrowser.vala knotsscroller.vala knotsxmlist.vala knotsinfo.vala knotsdiscovery.vala knotsplaylist.vala knotspage.vala knotssettings.vala knotsprogress.vala 
 
 VERSION := $(shell dpkg-parsechangelog | sed -n 's/Version: //p')
@@ -6,7 +8,7 @@
 
 main: $(VALA) clean
 	@echo "#define VERSION \"$(VERSION)\"" > version.h
-	valac --vapidir vapis -b . --pkg version --pkg libosso --pkg gtk+-2.0 --pkg gconf-2.0 --pkg libsoup-2.4 --pkg libxml-2.0 --pkg hildon-1 --pkg gdk-2.0 --pkg gdk-keysyms --pkg gio-2.0 --pkg gdk-x11-2.0 --pkg conic --pkg dbus-glib-1 --thread -o knots $(VALA) -X -I. -X -Wall -X -g -X -O2
+	valac --vapidir vapis -b . --pkg version --pkg libosso --pkg gtk+-2.0 --pkg gconf-2.0 --pkg libsoup-2.4 --pkg libxml-2.0 --pkg hildon-1 --pkg gdk-2.0 --pkg gdk-keysyms --pkg gio-2.0 --pkg gdk-x11-2.0 --pkg conic --pkg dbus-glib-1 --thread -o knots $(VALA) -X -I.
 
 discover: c/discover.c
 	$(CC) $(CFLAGS) -o c/$@ c/$@.c
@@ -21,6 +23,9 @@
 	strip c/discover
 	strip ./knots
 
+transfer:
+	scp knots root@192.168.0.109:/usr/bin/knots2
+
 install: 
 	install -D -m755 knots $(DESTDIR)/usr/bin/knots2
 	install -D -m755 c/discover $(DESTDIR)/usr/share/knots/discover

=== debian/changelog ===
knots2 (0.2.6-5) unstable; urgency=low

  * Optified the package

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sun,  3 Jan 2010 11:17:27 +0000

knots2 (0.2.6-4) unstable; urgency=low

  * Added SSL support, but it needs a custom libsoup2.4 becaus ssl is disabled on maemo by default

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sun, 13 Dec 2009 12:08:55 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
-Build-Depends: debhelper (>= 5),libgconf2-dev,libhildon1-dev,libconic0-dev,libgtk2.0-dev,libdbus-1-dev,libglib2.0-dev,libx11-dev,vala,libosso-dev,libxml2-dev,libsoup2.4-dev,libpng12-dev
+Build-Depends: debhelper (>= 5),libgconf2-dev,libhildon1-dev,libconic0-dev,libgtk2.0-dev,libdbus-1-dev,libglib2.0-dev,libx11-dev,vala,libosso-dev,libxml2-dev,libsoup2.4-dev,libpng12-dev,maemo-optify
 Standards-Version: 3.7.2
 
 Package: knots2

## knots2 0.2.6-6

=== debian/changelog ===
knots2 (0.2.6-6) unstable; urgency=low

  * Added remote discovery

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Fri, 22 Jan 2010 19:49:54 +0000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 Package: knots2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer
-Description: A Video Player for Maemo
+Description: Stream media from your desktop computer
  Knots requires additional software for your desktop.
- Please see http://nakkiboso.com/knots2 for instructions.
+ Please see http://wiki.maemo.org/Knots2 for instructions.
  Supported operating systems:
  - Windows XP/Vista/7
  - OS X 10.5 Leopard or newer

## knots2 0.2.6-7

=== debian/changelog ===
knots2 (0.2.6-7) unstable; urgency=low

  * Fix remote discovery

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Mon, 25 Jan 2010 14:56:59 +0000

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## knots2 0.2.6-8

=== debian/changelog ===
knots2 (0.2.6-8) unstable; urgency=low

  * Use profile buffering (seconds * 512) as mplayer cache
  * Added ability to jump to page
  * Stop waiting for server response when stopping stream
  * Tweaked info page looks
  * Switched banner progress to window progress indicator
  * Display server name on auth dialog

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Tue,  9 Feb 2010 17:54:49 +0000

## knots2 0.2.7

=== debian/changelog ===
knots2 (0.2.7) unstable; urgency=low

  * Backported most fremantle changes to diablo

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Thu,  4 Mar 2010 10:01:00 +0000

## knots2 0.2.7-1

=== debian/changelog ===
knots2 (0.2.7-1) unstable; urgency=low

  * Backported latest fremantle changes

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sat, 27 Mar 2010 08:54:26 +0000

## knots2 0.2.7-2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CFLAGS ?= -Wall -g -O2 -Wall -ansi -Wmissing-prototypes -Wmissing-declarations
 
-VALA := knots.vala knotsitem.vala knotscommon.vala knotsplayer.vala knotsbrowser.vala knotsscroller.vala knotsxmlist.vala knotsinfo.vala knotsdiscovery.vala knotsplaylist.vala knotspage.vala knotssettings.vala knotsprogress.vala 
+VALA := knots.vala knotsitem.vala knotscommon.vala knotsplayer.vala knotsbrowser.vala knotsscroller.vala knotsxmlist.vala knotsinfo.vala knotsdiscovery.vala knotsplaylist.vala knotspage.vala knotssettings.vala 
 
 VERSION := $(shell dpkg-parsechangelog | sed -n 's/Version: //p')

=== debian/changelog ===
knots2 (0.2.7-2) unstable; urgency=low

  * Fixed compilation on latest vala

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Tue, 23 Feb 2010 15:27:43 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,17 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer
 Description: Stream media from your desktop computer
- Knots requires additional software for your desktop.
- Please see http://wiki.maemo.org/Knots2 for instructions.
+ Access your media collection automatically from
+ anywhere. Stream high quality video through wlan or
+ lower quality video through 3G. Requires additional
+ software for your desktop computer. Please see
+ http://wiki.maemo.org/Knots2 for instructions.
  Supported operating systems:
  - Windows XP/Vista/7
  - OS X 10.5 Leopard or newer
  - Linux
  - FreeBSD
+Xsbc-Bugtracker: http://github.com/solmis/knots/issues
 XB-Maemo-Display-Name: Knots 2
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAAXNSR0IArs4c
  6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9kLHRMlEils5ZIAAAVP

## knots2 0.2.7-4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-CFLAGS ?= -Wall -g -O2 -Wall -ansi -Wmissing-prototypes -Wmissing-declarations
-
 VALA := knots.vala knotsitem.vala knotscommon.vala knotsplayer.vala knotsbrowser.vala knotsscroller.vala knotsxmlist.vala knotsinfo.vala knotsdiscovery.vala knotsplaylist.vala knotspage.vala knotssettings.vala 
 
 VERSION := $(shell dpkg-parsechangelog | sed -n 's/Version: //p')

=== debian/changelog ===
knots2 (0.2.7-4) unstable; urgency=low

  * Fixed compilation on i386
  * Don't load playlist items on startup
  * Added 'add results to playlist' menu item
  * Fixed playlist items alignment error
  * Update collection and about menu items only visible on root of server
	
 -- Janne Mäkinen <janne.makinen@surffi.fi>  Thu, 25 Mar 2010 19:28:26 +0000

knots2 (0.2.7-3) unstable; urgency=low

  * Changed timeout to 10 seconds when testing connection
  * Added 'play results' menu item
  * Saner seeking
  * Remote discovery menu item can now be toggled
  * Changed compiler flags   

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Thu, 25 Mar 2010 17:58:31 +0000

## knots2 0.2.7-5

=== debian/changelog ===
knots2 (0.2.7-5) unstable; urgency=low

  * Added icons for connect, server, audio and video items
  * Fixed browsing bug when search returned empty
  * Set url hook in about dialog
  * Removed i386 target
  * Readded better cflags
  * Made player a little more responsive
  * Tweaked list view
  * Fixed rotation problems
  * Seekbar now hidden properly when stream is not seekable  
  * Other minor bug fixes 

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Fri,  2 Apr 2010 10:57:02 +0100

## knots2 0.2.8

=== debian/changelog ===
knots2 (0.2.8) unstable; urgency=low

  * Added more sorting options and fixed minor bugs

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sat, 10 Apr 2010 11:24:24 +0100

knots2 (0.2.7-7) unstable; urgency=low

  * Added possibility to add sticky servers
  * Fixed playback error when browsing another authed server with different credentials
  * Fixed gtk thread freeze when connecting to server 
	
 -- Janne Mäkinen <janne.makinen@surffi.fi>  Tue,  6 Apr 2010 14:43:15 +0100

knots2 (0.2.7-6) unstable; urgency=low

  * Fixed icon not showing on info page
  * Added sort menu

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sun,  4 Apr 2010 19:54:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
-Build-Depends: debhelper (>= 5),libgconf2-dev,libhildon1-dev,libconic0-dev,libgtk2.0-dev,libdbus-1-dev,libglib2.0-dev,libx11-dev,vala,libosso-dev,libxml2-dev,libsoup2.4-dev,libpng12-dev,maemo-optify
+Build-Depends: debhelper (>= 5),x11proto-randr-dev,libxdmcp-dev,libgconf2-dev,x11proto-core-dev,libhildon1-dev,libconic0-dev,libgtk2.0-dev,libdbus-1-dev,libglib2.0-dev,libx11-dev,vala,libosso-dev,libxml2-dev,libsoup2.2-dev,libxrandr-dev,libxrender-dev,libxrandr2,libpng12-dev,x11proto-render-dev
 Standards-Version: 3.7.2
 
 Package: knots2

=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-#Use hardware floating point - #'DEB_BUILD_OPTIONS="vfp" dpkg-buildpackage -rfakeroot' to build with VFP
-ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s
-endif
+CFLAGS = -Wall -g -O2
 
 build: build-stamp
 
@@ -28,7 +17,6 @@
 	dh_testdir
 
 	$(MAKE) CFLAGS="$(CFLAGS)"
-
 	touch $@
 
 clean:
@@ -46,7 +34,6 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
-
 	# Add here commands to install the package into debian/knots2.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/knots2 install
 
@@ -67,6 +54,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
+	sed -i "s/libhildon1 (>= 2.2.10)/libhildon1/" debian/knots2.substvars
 	dh_gencontrol
 	maemo-optify
 	dh_md5sums

## knots2 0.2.8-1

=== debian/changelog ===
knots2 (0.2.8-1) unstable; urgency=low

  * Added ability to download subtitles from the client
  * Added ability to tag items from the client
  * Fixed compilation on latest vala

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Fri, 16 Apr 2010 17:38:28 +0100

## knots2 0.2.8-2

=== debian/changelog ===
knots2 (0.2.8-2) unstable; urgency=low

  * Removed unused widgets and variables
  * Added better database updating from client

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sat, 17 Apr 2010 11:31:51 +0100

## knots2 0.2.8-3

=== debian/changelog ===
knots2 (0.2.8-3) unstable; urgency=low

  * Fixed regression with transcoding profiles dialog
  * Lowered mplayer cache to seconds * 64

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sat, 17 Apr 2010 15:43:07 +0100

## knots2 0.2.8-4

=== debian/changelog ===
knots2 (0.2.8-4) unstable; urgency=low

  * Added gconf setting for mplayer command (/apps/knots/mplayer_command)
  * Fixed player not starting/restarting regression
  * Info page reloaded automatically after tagging

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Mon, 19 Apr 2010 16:21:42 +0100

## knots2 0.2.8-5

=== debian/changelog ===
knots2 (0.2.8-5) unstable; urgency=low

  * Fixed player not updating progress right after playback
  * Allow client to regrab a screenshot
  * Close mplayer more efficiently

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Tue, 20 Apr 2010 14:54:27 +0100

## knots2 0.2.8-6

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,16 @@
+CFLAGS ?= -Wall -g -O2
+VALAFLAGS ?= -X -O3 -X -I.
 VALA := knots.vala knotsitem.vala knotscommon.vala knotsplayer.vala knotsbrowser.vala knotsscroller.vala knotsxmlist.vala knotsinfo.vala knotsdiscovery.vala knotsplaylist.vala knotspage.vala knotssettings.vala 
-
 VERSION := $(shell dpkg-parsechangelog | sed -n 's/Version: //p')
-
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH),armel)
+	VALAFLAGS += -X -march=armv7-a -X -mtune=cortex-a8 -X -mfpu=vfp -X -mfloat-abi=softfp
+endif
 all: main discover
 
 main: $(VALA) clean
 	@echo "#define VERSION \"$(VERSION)\"" > version.h
-	valac --vapidir vapis -b . --pkg version --pkg libosso --pkg gtk+-2.0 --pkg gconf-2.0 --pkg libsoup-2.4 --pkg libxml-2.0 --pkg hildon-1 --pkg gdk-2.0 --pkg gdk-keysyms --pkg gio-2.0 --pkg gdk-x11-2.0 --pkg conic --pkg dbus-glib-1 --thread -o knots $(VALA) -X -I.
+	valac --vapidir vapis -b . --pkg version --pkg libosso --pkg gtk+-2.0 --pkg gconf-2.0 --pkg libsoup-2.4 --pkg libxml-2.0 --pkg hildon-1 --pkg gdk-2.0 --pkg gdk-keysyms --pkg gio-2.0 --pkg gdk-x11-2.0 --pkg conic --pkg dbus-glib-1 --thread -o knots $(VALA) $(VALAFLAGS)
 
 discover: c/discover.c
 	$(CC) $(CFLAGS) -o c/$@ c/$@.c
@@ -22,7 +26,7 @@
 	strip ./knots
 
 transfer:
-	scp knots root@192.168.0.109:/usr/bin/knots2
+	scp knots root@192.168.0.109:/opt/maemo/usr/bin/knots2
 
 install: 
 	install -D -m755 knots $(DESTDIR)/usr/bin/knots2

=== debian/changelog ===
knots2 (0.2.8-6) unstable; urgency=low

  * Added ability to download small items on playlist
  * Small bug fixes
  * Switched xml parser to recovery mode
  * Added more threading

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Fri, 23 Apr 2010 21:25:08 +0100

## knots2 0.3

=== debian/changelog ===
knots2 (0.3) unstable; urgency=low

  * Changed menu items visibility
  * Fixed play results button not working in some cases
  * Added ability to share/watch shares
  * Audio and subtitle language selection now possible from client
  * Added more threading again

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Tue,  4 May 2010 13:12:11 +0100

## knots2 0.3.1-1

=== debian/changelog ===
knots2 (0.3.1-1) unstable; urgency=low

  * Fixed compilation

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sat, 15 May 2010 13:04:17 +0100

knots2 (0.3.1) unstable; urgency=low

  * Added gstreamer backend

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sat, 15 May 2010 12:53:57 +0100

## knots2 0.3.1-2

=== debian/changelog ===
knots2 (0.3.1-2) unstable; urgency=low

  * Disabled screen blanking with gstreamer backend
  * Show remote discovery button when disconnected
  * Added fm transmitter button

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Sun, 16 May 2010 06:34:04 +0100

## knots2 0.3.1-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CFLAGS ?= -Wall -g -O2
 VALAFLAGS ?= -X -O3 -X -I.
-VALA := knots.vala knotsitem.vala knotscommon.vala knotsplayer.vala knotsbrowser.vala knotsscroller.vala knotsxmlist.vala knotsinfo.vala knotsdiscovery.vala knotsplaylist.vala knotspage.vala knotssettings.vala 
+VALA := knots.vala knotsitem.vala knotscommon.vala knotsplayer.vala knotsbrowser.vala knotsscroller.vala knotsxmlist.vala knotsinfo.vala knotsdiscovery.vala knotsplaylist.vala knotspage.vala knotssettings.vala knotsplayerbackend.vala 
 VERSION := $(shell dpkg-parsechangelog | sed -n 's/Version: //p')
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),armel)
@@ -10,7 +10,7 @@
 
 main: $(VALA) clean
 	@echo "#define VERSION \"$(VERSION)\"" > version.h
-	valac --vapidir vapis -b . --pkg version --pkg libosso --pkg gtk+-2.0 --pkg gconf-2.0 --pkg libsoup-2.4 --pkg libxml-2.0 --pkg hildon-1 --pkg gdk-2.0 --pkg gdk-keysyms --pkg gio-2.0 --pkg gdk-x11-2.0 --pkg conic --pkg dbus-glib-1 --thread -o knots $(VALA) $(VALAFLAGS)
+	valac --vapidir vapis -b . --pkg version --pkg libosso --pkg gstreamer-interfaces-0.10 --pkg gtk+-2.0 --pkg gconf-2.0 --pkg libsoup-2.4 --pkg libxml-2.0 --pkg hildon-1 --pkg gdk-2.0 --pkg gdk-keysyms --pkg gio-2.0 --pkg gdk-x11-2.0 --pkg conic --pkg dbus-glib-1 --thread -o knots $(VALA) $(VALAFLAGS)
 
 discover: c/discover.c
 	$(CC) $(CFLAGS) -o c/$@ c/$@.c

=== debian/changelog ===
knots2 (0.3.1-3) unstable; urgency=low

  * Removed threading that caused freezing with the auth dialog

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Mon, 24 May 2010 16:00:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
-Build-Depends: debhelper (>= 5),x11proto-randr-dev,libxdmcp-dev,libgconf2-dev,x11proto-core-dev,libhildon1-dev,libconic0-dev,libgtk2.0-dev,libdbus-1-dev,libglib2.0-dev,libx11-dev,vala,libosso-dev,libxml2-dev,libsoup2.2-dev,libxrandr-dev,libxrender-dev,libxrandr2,libpng12-dev,x11proto-render-dev
+Build-Depends: debhelper (>= 5),libgconf2-dev,libhildon1-dev,libconic0-dev,libgtk2.0-dev,libdbus-1-dev,libglib2.0-dev,libx11-dev,vala,libosso-dev,libxml2-dev,libsoup2.4-dev,libpng12-dev,libgstreamer0.10-dev,libgstreamer-plugins-base0.10-dev,maemo-optify
 Standards-Version: 3.7.2
 
 Package: knots2

## knots2 0.3.2

=== debian/changelog ===
knots2 (0.3.2) unstable; urgency=low

  * Removed hardcoded colors so non-dark themes look better
  * Fixed rotation with pr1.2
  * Force tag dialog to landscape mode
  * Change highlight to underline text instead of color change
  * Show buffer status after progress when status is less than 100 %
  * Remove mplayer depedency and use gstreamer if mplayer is defined but not installed
  * Remove icons from most dialogs
  * Do not show Grabbing new image banner in list mode
  * Do not grab new images of still images
  * Profile based network timeout added
  * Minor bug fixes

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Wed, 26 May 2010 10:00:44 +0100

## knots2 0.3.2-1

=== debian/changelog ===
knots2 (0.3.2-1) unstable; urgency=low

  * Hopefully fixed all player playback/stopping issues

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Wed,  2 Jun 2010 19:03:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: knots2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Stream media from your desktop computer
  Access your media collection automatically from
  anywhere. Stream high quality video through wlan or

## knots2 0.3.3

=== debian/changelog ===
knots2 (0.3.3) unstable; urgency=low

  * Added dummy player for remote controlling
  * Use FMRadio application name to allow playback with silent profilee

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Wed,  9 Jun 2010 05:58:26 +0100

## knots2 0.3.4

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	strip ./knots
 
 transfer:
-	scp knots root@192.168.0.109:/opt/maemo/usr/bin/knots2
+	scp knots root@192.168.0.102:/opt/maemo/usr/bin/knots2
 
 install: 
 	install -D -m755 knots $(DESTDIR)/usr/bin/knots2

=== debian/changelog ===
knots2 (0.3.4) unstable; urgency=low

  * Fixed about dialog
  * Fixed compilation on vala 0.9.2
  * Added playlist shuffle
  * Disabled remote discovery if other servers are found to speed up start time

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Fri,  6 Aug 2010 02:23:37 +0100

## knots2 0.3.5

=== debian/changelog ===
knots2 (0.3.5) unstable; urgency=low

  * Offer to switch image loading off when using gprs connection (and back on when using wireless)
  * Fixed item names not always showing on list mode
  * Changed menu items on some pages
  
 -- Janne Mäkinen <janne.makinen@surffi.fi>  Fri,  8 Oct 2010 13:21:46 +0100

## knots2 0.3.6

=== debian/changelog ===
knots2 (0.3.6) unstable; urgency=low

  * Fixed streams not stopping properly

 -- Janne Mäkinen <janne.makinen@surffi.fi>  Wed, 17 Nov 2010 16:50:28 +0000
